package com.ss.android.ugc.aweme.compliance.privacy.settings.account.pages.chat;

import X.AnonymousClass2GO;
import X.C38243ns;
import X.C38993p5;
import X.C39003p6;
import X.C39563q0;
import X.M12;
import X.PgU;
import com.bytedance.covode.number.Covode;
import com.ss.android.ugc.aweme.base.api.BaseResponse;
import com.ss.android.ugc.aweme.compliance.privacy.settings.account.pages.BasePrivacyUserSettingViewModel;

public final class ReadReceiptsViewModel extends BasePrivacyUserSettingViewModel implements AnonymousClass2GO {
    public String LIZ = "privacy_and_safety_settings";

    static {
        Covode.recordClassIndex(61604);
    }

    public final PgU<BaseResponse> LIZ(int i) {
        return C39563q0.LIZIZ.LIZIZ("message_read_status", i);
    }

    public final Integer LIZ(C38993p5 r2) {
        M12.LIZ(r2);
        C39003p6 r0 = r2.LJ;
        if (r0 != null) {
            return Integer.valueOf(r0.LJ);
        }
        return null;
    }

    public final void LIZ(int i, BaseResponse baseResponse) {
        M12.LIZ(baseResponse);
        super.LIZ(i, baseResponse);
        C38243ns.LIZ.LIZ(i, this.LIZ, "read_receipt");
    }

    public final void LIZ(C38993p5 r2, int i) {
        M12.LIZ(r2);
        C39003p6 r0 = r2.LJ;
        if (r0 != null) {
            r0.LJ = i;
        }
    }
}
